Subject: Re: DR election

From: Naresh Paliwal <[email-masked]>
Date: Tue, 3 May 2005 17:20:18 +0530

Erblich,

I didn't get your reply, can u please give the references of the idea.

I mean to ask, is it possible to enforce DR/BDR-election without
changing configuration of existing DR/BDR?

Regards
-Naresh

-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of
Erblichs
Sent: Monday, May 02, 2005 10:07 PM
To: [email-masked]
Subject: Re: DR election

Yes and no,

If a router "really wants to be the DR", the protocol does
allow this through a back door. The router must act like
it was already also elected as the DR. This can happen in
what was a split area. By coming up later, the later router
SHOULD know the other's priority and router-id. It can then
boost its broadcasted priority and/or its router-id to gurantee
re-election.

Mitchell Erblich
----------------------

"Krishnan, Vijay G." wrote:
> 
> The first router does not become the DR immediately. It waits for its
> configurable "wait timer" to expire, before electing the DR. Others
routers
> could come up during this time. Once the DR is elected, addition of
new
> routers would not change the DR. This will reduce the instability due
to the
> DR changes.
> 
> regards
> Vijay
> 
> -----Original Message-----
> From: Mailing List [mailto:[email-masked]]On Behalf Of Ilan
> Bercovich
> Sent: Monday, May 02, 2005 11:51 AM
> To: [email-masked]
> Subject: DR election
> 
> Hello
> If all routers accept the DR regardless of their Router Priority,
> It means that actually the first active router on the LAN is the DR.
> Isn't this makes the Router Priority parameter somewhat irrelevant?
> (In RSTP for instance, when priority is changed - network is
> re-calculated).
> Ilan

---

From: Acee Lindem <[email-masked]>
Date: Tue, 3 May 2005 08:54:21 -0400

All,

This has been discussed before on this list and you could search
the archives to get all the gritty details. In summary:

   - The protocol attempts to avoid BDR/DR churn and the BDR/DR election
      gives the current BDR/DR precedence. The reason is obvious - you 
want to
     avoid the network overhead/convergence delay of bringing up
     adjacencies with the new BDR/DR as well as  the 
overhead/convergence delay
     of flooding and recalculating the intra-area route table with a new 
DR's
     network-LSA.
   - While it is not part of the protocol specification, an 
implementation could
      force a BDR/DR election by ignoring the fact that there is a 
BDR/DR and
     asserting themselves as BDR/DR. They would cause a NeighborChange
     event (Section 9.2, RFC 2328) causing RFC 2328 compliant 
implementations
     to perform a BDR/DR election.

Thanks,
Acee

---

From: Erblichs <[email-masked]>
Date: Tue, 3 May 2005 14:46:04 -0700

Acee,

	Thanks' I just don't have the RFCs memorized
	to what section says what and yes, trying to solve
	a few gray issues to satisfy customers so I don't
	monitor this discussion on a daily basis.

	HOWEVER, Sorry,, I have to say more..

	The resulting re-election of the DR SHOULD NOT
	cause a major "churn", yes a minor churn.

	The reason is that if the re-election is done,
	their is no gurantee of a change in the DR, unless
	my suggestion of a delayed hello.

	If a new DR is elected, the previous DR would more
	than likely become the BDR or the BDR would stay
	the same. Thus, at least 1/2 of the full adjs
	are expected to stay the same.

	If this was an actual area combining event
	then the re-synch of the LSDB is necessary,
	else most of the LSDB updates would be on a 1
	way basis and only with the 1st full neighbor
	LSDB exchange.

	Yes, a minor churn, but if the new router has
	significantly higher capabilities than the present
	DR, I would see little reason not to at least
	consider this as a feature.

	Mitchell Erblich
	----------------

---

From: Mukul Goyal <[email-masked]>
Date: Wed, 4 May 2005 07:27:25 -0500

We recently completed a writeup on OSPF interface state machine behavior over a
broadcast LAN.

http://www.cs.uwm.edu/~mukul/ospflan.pdf

The paper considers the DR/BDR settling time and the number of DR elections
performed as the routers on the broadcast LAN come up in a random fashion. We
consider the case where all the routers on the LAN have the same Router
Priority for election as DR/BDR.

I will appreciate receiving your feedback (preferably offline) so that I can
improve the paper and correct any mistakes. Also, I am looking for references
to any existing literature on the topic.

Thanks,
Mukul Goyal

---

From: Acee Lindem <[email-masked]>
Date: Wed, 4 May 2005 10:07:02 -0400

Hi Mitchell,
I don't see this as a strong requirement since one could always
configure a router priority of 0 on those routers which are not
able to hande the DR task. We've gotten along without this
DR preemption feature for this long and to the best of my knowledge
there aren't even any proprietary extensions to do this. This would
indicate to me that there is not a strong requirement.

As always, you are welcome to make such a proposal in
an individual draft for consideration by the WG.

Thanks,
Acee

---

From: Filippo Cugini <[email-masked]>
Date: Wed, 4 May 2005 15:56:44 +0200

Just to add something about DR election.
I suggest to include in OSPF router implementations a "point-to-point" 
statement even for Ethernet Networks.
We have point-to-point optical Ethernet connections between routers running 
OSPF and we don't want to waste 40sec for the DR-BDR election every time a 
new connection is established. There is no need to consider Ethernet a 
broadcast network in such conditions

Best regards
  Filippo